## HdyActionRow HdyActionRow — A GtkListBox row used to present actions. |

## Functions

HdyActionRow * | hdy_action_row_new ()
const gchar * | hdy_action_row_get_title ()
void | hdy_action_row_set_title ()
const gchar * | hdy_action_row_get_subtitle ()
void | hdy_action_row_set_subtitle ()
const gchar * | hdy_action_row_get_icon_name ()
void | hdy_action_row_set_icon_name ()
GtkWidget * | hdy_action_row_get_activatable_widget ()
void | hdy_action_row_set_activatable_widget ()
gboolean | hdy_action_row_get_use_underline ()
void | hdy_action_row_set_use_underline ()
void | hdy_action_row_add_action ()
void | hdy_action_row_add_prefix ()
void | hdy_action_row_activate ()

## Properties

GtkWidget * | activatable-widget | Read / Write
gchar * | icon-name | Read / Write
gchar * | subtitle | Read / Write
gchar * | title | Read / Write
gboolean | use-underline | Read / Write

## Types and Values

#define | HDY_TYPE_ACTION_ROW
struct | HdyActionRowClass
| HdyActionRow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkListBoxRow
                            ╰── HdyPreferencesRow
                                ╰── HdyActionRow
                                    ├── HdyComboRow
                                    ╰── HdyExpanderRow

## Implemented Interfaces

HdyActionRow implements AtkImplementorIface, GtkBuildable and GtkActionable.

## Description

The HdyActionRow widget can have a title, a subtitle and an icon. The row can receive action widgets at its end, prefix widgets at its start or widgets below it.

Note that action widgets are packed starting from the end.

It is convenient to present a list of preferences and their related actions.

### HdyActionRow as GtkBuildable

The GtkWindow implementation of the GtkBuildable interface supports setting a child as an action widget by specifying “action” as the “type” attribute of a <child> element.

It also supports setting a child as a prefix widget by specifying “prefix” as the “type” attribute of a <child> element.

## Functions

### hdy_action_row_new ()

    HdyActionRow *
    hdy_action_row_new (void);

Creates a new HdyActionRow.

#### Returns

a new HdyActionRow

Since: 0.0.6

### hdy_action_row_get_title ()

    const gchar *
    hdy_action_row_get_title (HdyActionRow *self);

Gets the title for `self` .

#### Parameters

self | a HdyActionRow |

#### Returns

the title for `self` .

Since: 0.0.6

### hdy_action_row_set_title ()

    void
    hdy_action_row_set_title (HdyActionRow *self,
                              const gchar *title);

Sets the title for `self` .

#### Parameters

self | a HdyActionRow |
title | the title |

Since: 0.0.6

### hdy_action_row_get_subtitle ()

    const gchar *
    hdy_action_row_get_subtitle (HdyActionRow *self);

Gets the subtitle for `self` .

#### Parameters

self | a HdyActionRow |

#### Returns

the subtitle for `self` .

Since: 0.0.6

### hdy_action_row_set_subtitle ()

    void
    hdy_action_row_set_subtitle (HdyActionRow *self,
                                 const gchar *subtitle);

Sets the subtitle for `self` .

#### Parameters

self | a HdyActionRow |
subtitle | the subtitle |

Since: 0.0.6

### hdy_action_row_get_icon_name ()

    const gchar *
    hdy_action_row_get_icon_name (HdyActionRow *self);

Gets the icon name for `self` .

#### Parameters

self | a HdyActionRow |

#### Returns

the icon name for `self` .

Since: 0.0.6

### hdy_action_row_set_icon_name ()

    void
    hdy_action_row_set_icon_name (HdyActionRow *self,
                                  const gchar *icon_name);

Sets the icon name for `self` .

#### Parameters

self | a HdyActionRow |
icon_name | the icon name |

Since: 0.0.6

### hdy_action_row_get_activatable_widget ()

    GtkWidget *
    hdy_action_row_get_activatable_widget (HdyActionRow *self);

Gets the widget activated when `self` is activated.

#### Parameters

self | a HdyActionRow |

#### Returns

the widget activated when `self` is activated, or `NULL` if none has been set.

[nullable][transfer none]

Since: 0.0.7

### hdy_action_row_set_activatable_widget ()

    void
    hdy_action_row_set_activatable_widget (HdyActionRow *self,
                                           GtkWidget *widget);

Sets the widget to activate when `self` is activated, either by clicking on it, by calling `hdy_action_row_activate()`, or via mnemonics in the title or the subtitle. See the “use_underline” property to enable mnemonics.

The target widget will be activated by emitting the GtkWidget::mnemonic-activate signal on it.

#### Parameters

self | a HdyActionRow |
widget | the target GtkWidget, or `NULL` to unset. | [nullable]

Since: 0.0.7

### hdy_action_row_get_use_underline ()

    gboolean
    hdy_action_row_get_use_underline (HdyActionRow *self);

Gets whether an embedded underline in the text of the title and subtitle labels indicates a mnemonic. See `hdy_action_row_set_use_underline()`.

#### Parameters

self | a HdyActionRow |

#### Returns

`TRUE` if an embedded underline in the title and subtitle labels indicates the mnemonic accelerator keys.

Since: 0.0.6

### hdy_action_row_set_use_underline ()

    void
    hdy_action_row_set_use_underline (HdyActionRow *self,
                                      gboolean use_underline);

If true, an underline in the text of the title and subtitle labels indicates the next character should be used for the mnemonic accelerator key.

#### Parameters

self | a HdyActionRow |
use_underline | `TRUE` if underlines in the text indicate mnemonics |

Since: 0.0.6

### hdy_action_row_add_action ()

    void
    hdy_action_row_add_action (HdyActionRow *self,
                               GtkWidget *widget);

Adds an action widget to `self` .

#### Parameters

self | a HdyActionRow |
widget | the action widget. | [allow-none]

Since: 0.0.6

### hdy_action_row_add_prefix ()

    void
    hdy_action_row_add_prefix (HdyActionRow *self,
                               GtkWidget *widget);

Adds a prefix widget to `self` .

#### Parameters

self | a HdyActionRow |
widget | the prefix widget. | [allow-none]

Since: 0.0.6

### hdy_action_row_activate ()

    void
    hdy_action_row_activate (HdyActionRow *self);

## Types and Values

### HDY_TYPE_ACTION_ROW

    #define HDY_TYPE_ACTION_ROW (hdy_action_row_get_type())

### struct HdyActionRowClass

    struct HdyActionRowClass {
      GtkListBoxRowClass parent_class;

      void (*activate) (HdyActionRow *self);
    };

#### Members

`activate` () | Activates the row to trigger its main action. |

### HdyActionRow

    typedef struct _HdyActionRow HdyActionRow;

## Property Details

### The `“activatable-widget”` property

      “activatable-widget”       GtkWidget *

The activatable widget for this row.

Owner: HdyActionRow

Flags: Read / Write

Since: 0.0.7

### The `“icon-name”` property

      “icon-name”                gchar *

The icon name for this row.

Owner: HdyActionRow

Flags: Read / Write

Default value: ""

Since: 0.0.6

### The `“subtitle”` property

      “subtitle”                 gchar *

The subtitle for this row.

Owner: HdyActionRow

Flags: Read / Write

Default value: ""

Since: 0.0.6

### The `“title”` property

      “title”                    gchar *

The title for this row.

Owner: HdyActionRow

Flags: Read / Write

Default value: ""

Since: 0.0.6

### The `“use-underline”` property

      “use-underline”            gboolean

Whether an embedded underline in the text of the title and subtitle labels indicates a mnemonic.

Owner: HdyActionRow

Flags: Read / Write

Default value: FALSE

Since: 0.0.6